diff --git a/src/main/java/net/minecraft/client/gui/SoundTestScreen.java b/src/main/java/net/minecraft/client/gui/SoundTestScreen.java
index ef3028ffb..99e4be8b3 100644
--- a/src/main/java/net/minecraft/client/gui/SoundTestScreen.java
+++ b/src/main/java/net/minecraft/client/gui/SoundTestScreen.java
@@ -13,6 +13,7 @@ import net.minecraft.core.util.helper.Utils;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
+import paulscode.sound.SoundSystem;
 
 import java.io.File;
 import java.util.ArrayList;
@@ -203,7 +204,9 @@ public class SoundTestScreen extends Screen {
     }
 
     public void stopSound() {
-        SoundEngine.getSoundSystem().stop("debug");
+        SoundSystem soundSystem = SoundEngine.getSoundSystem();
+        if (soundSystem == null) return;
+        soundSystem.stop("debug");
     }
 
     private void overlayBackground(int minX, int maxX, int minY, int maxY)
diff --git a/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java b/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
index e29f71aee..eb4c55900 100644
--- a/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
+++ b/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
@@ -33,6 +33,7 @@ import net.minecraft.core.item.Items;
 import net.minecraft.core.util.helper.Utils;
 import net.minecraft.core.world.World;
 import org.useless.seedviewer.SeedViewerMain;
+import paulscode.sound.SoundSystem;
 
 import javax.management.RuntimeErrorException;
 import java.io.File;
@@ -308,7 +309,10 @@ public abstract class OptionsPages
         )
         .withComponent(new OptionsCategory("gui.options.page.debug.category.test")
             .withComponent(new ShortcutComponent("gui.options.page.debug.button.music.skip", () -> {
-                SoundEngine.getSoundSystem().stop("BgMusic");
+                SoundSystem soundSystem = SoundEngine.getSoundSystem();
+                if (soundSystem != null) {
+                    soundSystem.stop(SoundEngine.BG_MUSIC);
+                }
                 mc.sndManager.ticksBeforeMusic = -1;
                 mc.sndManager.tick();
             }))
diff --git a/src/main/java/net/minecraft/client/option/VolumeOption.java b/src/main/java/net/minecraft/client/option/VolumeOption.java
index 272a6c0b2..91bb91d0e 100644
--- a/src/main/java/net/minecraft/client/option/VolumeOption.java
+++ b/src/main/java/net/minecraft/client/option/VolumeOption.java
@@ -20,10 +20,12 @@ public class VolumeOption extends FloatOption{
 		super.onUpdate();
 		gameSettings.mc.sndManager.updateOptions();
 		SoundSystem soundSystem = SoundEngine.getSoundSystem();
-		if (soundCategory != SoundCategory.GUI_SOUNDS && !soundSystem.playing("sound_audio_options")) {
-			gameSettings.mc.sndManager.playSoundWithID(soundCategory.changedSound, soundCategory, 1f, 1f, "sound_audio_options");
-		} else if (soundCategory != SoundCategory.GUI_SOUNDS) {
-			soundSystem.setVolume("sound_audio_options", SoundCategoryHelper.getEffectiveVolume(soundCategory, gameSettings));
+		if (soundSystem != null) {
+			if (soundCategory != SoundCategory.GUI_SOUNDS && !soundSystem.playing("sound_audio_options")) {
+				gameSettings.mc.sndManager.playSoundWithID(soundCategory.changedSound, soundCategory, 1f, 1f, "sound_audio_options");
+			} else if (soundCategory != SoundCategory.GUI_SOUNDS) {
+				soundSystem.setVolume("sound_audio_options", SoundCategoryHelper.getEffectiveVolume(soundCategory, gameSettings));
+			}
 		}
 	}
 
diff --git a/src/main/java/net/minecraft/client/render/TextureManager.java b/src/main/java/net/minecraft/client/render/TextureManager.java
index b3c41138e..f9a052b97 100644
--- a/src/main/java/net/minecraft/client/render/TextureManager.java
+++ b/src/main/java/net/minecraft/client/render/TextureManager.java
@@ -98,11 +98,11 @@ public class TextureManager {
 
                 String[] fireflycolors = new String[] {"blue", "orange", "green", "red"};
 				for (String color : fireflycolors) {
-					addDynamicTexture(new DynamicTextureFireflyJar(TextureRegistry.getTexture("minecraft:block/lantern_firefly_" + color)));
+					addDynamicTexture(new DynamicTextureFireflyJar(TextureRegistry.getTexture("minecraft:block/lantern_firefly/" + color)));
 				}
 
-				addDynamicTexture(new DynamicTextureTrommel(mc, TextureRegistry.getTexture("minecraft:block/trommel_active_front"), true));
-				addDynamicTexture(new DynamicTextureTrommel(mc, TextureRegistry.getTexture("minecraft:block/trommel_active_back"), false));
+				addDynamicTexture(new DynamicTextureTrommel(mc, TextureRegistry.getTexture("minecraft:block/trommel/active_front"), true));
+				addDynamicTexture(new DynamicTextureTrommel(mc, TextureRegistry.getTexture("minecraft:block/trommel/active_back"), false));
 
 				if (useCustomAnimations) {
 					loadCustomAnimations();
diff --git a/src/main/java/net/minecraft/client/render/block/model/ActivatorBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/ActivatorBlockModel.java
index b12ff14a2..2e7f0af8b 100644
--- a/src/main/java/net/minecraft/client/render/block/model/ActivatorBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/ActivatorBlockModel.java
@@ -8,20 +8,20 @@ import net.minecraft.core.util.helper.Side;
 
 public class ActivatorBlockModel extends VeryRotatableBlockModel<ActivatorBlock> {
     public final IconCoordinate[] poweredTextures = {
-        null,
-        TextureRegistry.getTexture("minecraft:block/activator_top_active"),
-        TextureRegistry.getTexture("minecraft:block/activator_side_active"),
-        TextureRegistry.getTexture("minecraft:block/activator_front_active"),
-        TextureRegistry.getTexture("minecraft:block/activator_side_active"),
-        TextureRegistry.getTexture("minecraft:block/activator_side_active")
+        TextureRegistry.getTexture("minecraft:block/activator/bottom_active"),
+        TextureRegistry.getTexture("minecraft:block/activator/top_active"),
+        TextureRegistry.getTexture("minecraft:block/activator/side_active"),
+        TextureRegistry.getTexture("minecraft:block/activator/front_active"),
+        TextureRegistry.getTexture("minecraft:block/activator/side_active"),
+        TextureRegistry.getTexture("minecraft:block/activator/side_active")
     };
     public final IconCoordinate[] overbrightTextures = {
-        null,
-        TextureRegistry.getTexture("minecraft:block/activator_top_active_overlay"),
-        TextureRegistry.getTexture("minecraft:block/activator_side_active_overlay"),
-        TextureRegistry.getTexture("minecraft:block/activator_front_active_overlay"),
-        TextureRegistry.getTexture("minecraft:block/activator_side_active_overlay"),
-        TextureRegistry.getTexture("minecraft:block/activator_side_active_overlay")
+        TextureRegistry.getTexture("minecraft:block/activator/bottom_active_overlay"),
+        TextureRegistry.getTexture("minecraft:block/activator/top_active_overlay"),
+        TextureRegistry.getTexture("minecraft:block/activator/side_active_overlay"),
+        TextureRegistry.getTexture("minecraft:block/activator/front_active_overlay"),
+        TextureRegistry.getTexture("minecraft:block/activator/side_active_overlay"),
+        TextureRegistry.getTexture("minecraft:block/activator/side_active_overlay")
     };
     public ActivatorBlockModel(Block block) {
         super(block);
diff --git a/src/main/java/net/minecraft/client/render/block/model/BasketBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BasketBlockModel.java
index d9f143c21..fc1fbb2aa 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BasketBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BasketBlockModel.java
@@ -8,7 +8,7 @@ import net.minecraft.core.block.BasketBlock;
 import net.minecraft.core.util.helper.Side;
 
 public class BasketBlockModel<T extends BasketBlock> extends StandardBlockModel<T> {
-    protected IconCoordinate fillTexture = TextureRegistry.getTexture("minecraft:block/basket_fill");
+    protected IconCoordinate fillTexture = TextureRegistry.getTexture("minecraft:block/basket/fill");
     public BasketBlockModel(Block block) {
         super(block);
     }
diff --git a/src/main/java/net/minecraft/client/render/block/model/BedBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BedBlockModel.java
index d9c1bf169..6dc313dc7 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BedBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BedBlockModel.java
@@ -8,15 +8,15 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 
 public class BedBlockModel<T extends Block> extends StandardBlockModel<T> {
-    protected IconCoordinate underTexture = TextureRegistry.getTexture("minecraft:block/planks_oak");
+    protected IconCoordinate underTexture = TextureRegistry.getTexture("minecraft:block/bed/bottom");
     public BedBlockModel(Block block) {
         super(block);
-        atlasIndices[0] = TextureRegistry.getTexture("minecraft:block/bed_foot_front");
-        atlasIndices[1] = TextureRegistry.getTexture("minecraft:block/bed_foot_side");
-        atlasIndices[2] = TextureRegistry.getTexture("minecraft:block/bed_foot_top");
-        atlasIndices[3] = TextureRegistry.getTexture("minecraft:block/bed_head_front");
-        atlasIndices[4] = TextureRegistry.getTexture("minecraft:block/bed_head_side");
-        atlasIndices[5] = TextureRegistry.getTexture("minecraft:block/bed_head_top");
+        atlasIndices[0] = TextureRegistry.getTexture("minecraft:block/bed/foot_front");
+        atlasIndices[1] = TextureRegistry.getTexture("minecraft:block/bed/foot_side");
+        atlasIndices[2] = TextureRegistry.getTexture("minecraft:block/bed/foot_top");
+        atlasIndices[3] = TextureRegistry.getTexture("minecraft:block/bed/head_front");
+        atlasIndices[4] = TextureRegistry.getTexture("minecraft:block/bed/head_side");
+        atlasIndices[5] = TextureRegistry.getTexture("minecraft:block/bed/head_top");
     }
 
     @Override
